#import <ObjFW/ObjFW.h>
#import <ObjXMPP/ObjXMPP.h>

@class JubChatClient;
@class XMPPContact;

@protocol JubAvatarManagerDelegate
- (void)contact: (XMPPContact*)contact
   didSetAvatar: (OFString*)avatarFile;
@end

@interface JubAvatarManager : OFObject <XMPPConnectionDelegate>
{
	JubChatClient *_client;
	id<JubAvatarManagerDelegate> _delegate;
	OFMutableString *cachePath;
}
@property (assign) id<JubAvatarManagerDelegate> delegate;

- initWithClient: (JubChatClient*)client;
- (void)Jub_connection: (XMPPConnection*)connection
      receivedAvatarIQ: (XMPPIQ*)IQ;
@end
